commit:     a26c773f643fcfe35288ddfc0321a7a7d51fda0c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 12 18:49:23 2022 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Feb 12 18:50:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a26c773f

app-shells/zsh: Bump to version 5.8.1

Closes: https://bugs.gentoo.org/777333
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-shells/zsh/Manifest         |   2 +
 app-shells/zsh/files/zprofile-4 |   4 +-
 app-shells/zsh/zsh-5.8.1.ebuild | 217 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 221 insertions(+), 2 deletions(-)

diff --git a/app-shells/zsh/Manifest b/app-shells/zsh/Manifest
index 37076afac198..c63e18da2314 100644
--- a/app-shells/zsh/Manifest
+++ b/app-shells/zsh/Manifest
@@ -1,2 +1,4 @@
 DIST zsh-5.8-doc.tar.xz 3088696 BLAKE2B 
f738bf15b137e84df91fff8500b6c309884d8a1777e3158807f6028a411ae3f345e6ccba49bdff04c6607c4eb06fc2913313e84e1f78be0a0f92d23e46ba87db
 SHA512 
38cc549818eb9c6952051b714dd2008d99605aba4ca4f614e62b033c9b067dd2031fff766ac5c1efe5bb52eae32bd482dea5df2b2d46decb7ecdb458f3da9d52
+DIST zsh-5.8.1-doc.tar.xz 3088728 BLAKE2B 
c7f62f50a8fce483d2946ac550fa0996e5749a9040cf9424a61d591024292a2f1eb0fc2401824104c6ef0fff2a4b38e07269a0069cde1b0bff6e8a7b09daf160
 SHA512 
0d8ca4c54c10e8a471ba7d53f1371ee057f7df4b710fc01194833f29a61b5465133432b891b0b891b6cc5235a928a783bf99f39c67314e29e3d161ca5abf3219
+DIST zsh-5.8.1.tar.xz 3200540 BLAKE2B 
19981d0cc208fb590af8e034bde66bda36a4a20abe76ff71ba9222d7150b7d53573e1f5b81ddb2cdd29f6aa0611071a35d8b48250e6bd4b196f0428b776c4af8
 SHA512 
f54a5a47ed15d134902613f6169c985680afc45a67538505e11b66b348fcb367145e9b8ae2d9eac185e07ef5f97254b85df01ba97294002a8c036fd02ed5e76d
 DIST zsh-5.8.tar.xz 3193284 BLAKE2B 
b1186dd27aede3318763d7c42253e919e60d00a018d085b2de7e8d985c872e9756a3ce112f623a088ec0878abd7a38d04dfa5ec552ef0f0a72e623191a7ba5e3
 SHA512 
96198ecef498b7d7945fecebbe6bf14065fa8c5d81a7662164579eba8206b79575812d292adea1864bc7487ac0818ba900e25f9ab3802449340de80417c2c533

diff --git a/app-shells/zsh/files/zprofile-4 b/app-shells/zsh/files/zprofile-4
index b92c245784dd..9155aae3fc58 100644
--- a/app-shells/zsh/files/zprofile-4
+++ b/app-shells/zsh/files/zprofile-4
@@ -22,10 +22,10 @@ umask 022
 # It is intentional in the following line to use || instead of -o.
 # This way the evaluation can be short-circuited and calling whoami is
 # avoided.
-if [[ "$EUID" = "0" ]] || [[ "$USER" = "root" ]] ; then
+if [[ "${EUID}" = "0" ]] || [[ "${USER}" = "root" ]] ; then
        # Check to make sure ROOTPATH is sane before we use it.
        # https://bugs.gentoo.org/656400
-       if [[ :${ROOTPATH}: == *:/usr/sbin:* ]]; then
+       if [[ -n ${ROOTPATH} ]] && [[ :${ROOTPATH}: == *:/usr/sbin:* ]] ; then
                PATH="${ROOTPATH}"
        fi
 fi

diff --git a/app-shells/zsh/zsh-5.8.1.ebuild b/app-shells/zsh/zsh-5.8.1.ebuild
new file mode 100644
index 000000000000..1e2235175665
--- /dev/null
+++ b/app-shells/zsh/zsh-5.8.1.ebuild
@@ -0,0 +1,217 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic prefix
+
+if [[ ${PV} == 9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://git.code.sf.net/p/zsh/code";
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+       SRC_URI="https://www.zsh.org/pub/${P}.tar.xz
+               https://www.zsh.org/pub/old/${P}.tar.xz
+               mirror://sourceforge/${PN}/${P}.tar.xz
+               doc? (
+                       https://www.zsh.org/pub/${P}-doc.tar.xz
+                       mirror://sourceforge/${PN}/${P}-doc.tar.xz
+               )"
+fi
+
+DESCRIPTION="UNIX Shell similar to the Korn shell"
+HOMEPAGE="https://www.zsh.org/";
+
+LICENSE="ZSH gdbm? ( GPL-2 )"
+SLOT="0"
+IUSE="caps debug doc examples gdbm maildir pcre static unicode"
+
+RDEPEND="
+       >=sys-libs/ncurses-5.1:0=
+       static? ( >=sys-libs/ncurses-5.7-r4:0=[static-libs] )
+       caps? ( sys-libs/libcap )
+       pcre? (
+               >=dev-libs/libpcre-3.9
+               static? ( >=dev-libs/libpcre-3.9[static-libs] )
+       )
+       gdbm? ( sys-libs/gdbm:= )
+       !<sys-apps/baselayout-2.4.1
+"
+DEPEND="sys-apps/groff
+       ${RDEPEND}"
+PDEPEND="
+       examples? ( app-doc/zsh-lovers )
+"
+if [[ ${PV} == *9999 ]] ; then
+       DEPEND+=" app-text/yodl
+               doc? (
+                       sys-apps/texinfo
+                       app-text/texi2html
+                       virtual/latex-base
+               )"
+fi
+
+src_prepare() {
+       if [[ ${PV} != *9999 ]]; then
+               # fix zshall problem with soelim
+               ln -s Doc man1 || die
+               mv Doc/zshall.1 Doc/zshall.1.soelim || die
+               soelim Doc/zshall.1.soelim > Doc/zshall.1 || die
+       fi
+
+       # add openrc specific options for init.d completion
+       eapply "${FILESDIR}"/${PN}-5.3-init.d-gentoo.diff
+
+       default
+
+       hprefixify configure.ac
+       if [[ ${PV} == *9999 ]] ; then
+               sed -i "/^VERSION=/s@=.*@=${PV}@" Config/version.mk || die
+       fi
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               --bindir="${EPREFIX}"/bin
+               --libdir="${EPREFIX}"/usr/$(get_libdir)
+               --enable-etcdir="${EPREFIX}"/etc/zsh
+               --enable-runhelpdir="${EPREFIX}"/usr/share/zsh/${PV%_*}/help
+               --enable-fndir="${EPREFIX}"/usr/share/zsh/${PV%_*}/functions
+               --enable-site-fndir="${EPREFIX}"/usr/share/zsh/site-functions
+               --enable-function-subdirs
+               --with-tcsetpgrp
+               --with-term-lib="$(usex unicode 'tinfow ncursesw' 'tinfo 
ncurses')"
+               $(use_enable maildir maildir-support)
+               $(use_enable pcre)
+               $(use_enable caps cap)
+               $(use_enable unicode multibyte)
+               $(use_enable gdbm)
+       )
+
+       if use static ; then
+               myconf+=( --disable-dynamic )
+               append-ldflags -static
+       fi
+       if use debug ; then
+               myconf+=(
+                       --enable-zsh-debug
+                       --enable-zsh-mem-debug
+                       --enable-zsh-mem-warning
+                       --enable-zsh-secure-free
+                       --enable-zsh-hash-debug
+               )
+       fi
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               myconf+=( --enable-libs=-liconv )
+               append-ldflags -Wl,-x
+       fi
+
+       econf "${myconf[@]}"
+
+       if use static ; then
+               # compile all modules statically, see Bug #27392
+               # removed cap and curses because linking failes
+               sed -e "s,link=no,link=static,g" \
+                       -e "/^name=zsh\/cap/s,link=static,link=no," \
+                       -e "/^name=zsh\/curses/s,link=static,link=no," \
+                       -i "${S}"/config.modules || die
+               if ! use gdbm ; then
+                       sed -i '/^name=zsh\/db\/gdbm/s,link=static,link=no,' \
+                               "${S}"/config.modules || die
+               fi
+       fi
+}
+
+src_compile() {
+       default
+
+       if [[ ${PV} == *9999 ]] && use doc ; then
+               emake -C Doc everything
+       fi
+}
+
+src_test() {
+       addpredict /dev/ptmx
+       local i
+       for i in C02cond.ztst V08zpty.ztst X02zlevi.ztst Y01completion.ztst 
Y02compmatch.ztst Y03arguments.ztst ; do
+               rm "${S}"/Test/${i} || die
+       done
+       emake check
+}
+
+src_install() {
+       emake DESTDIR="${D}" install $(usex doc "install.info" "")
+
+       insinto /etc/zsh
+       export PREFIX_QUOTE_CHAR='"' PREFIX_EXTRA_REGEX="/EUID/s,0,${EUID},"
+       newins "$(prefixify_ro "${FILESDIR}"/zprofile-4)" zprofile
+
+       keepdir /usr/share/zsh/site-functions
+       insinto /usr/share/zsh/${PV%_*}/functions/Prompts
+       newins "${FILESDIR}"/prompt_gentoo_setup-1 prompt_gentoo_setup
+
+       local i
+
+       # install miscellaneous scripts (bug #54520)
+       sed -e "s:/usr/local/bin/perl:${EPREFIX}/usr/bin/perl:g" \
+               -e "s:/usr/local/bin/zsh:${EPREFIX}/bin/zsh:g" \
+               -i {Util,Misc}/* || die
+       for i in Util Misc ; do
+               insinto /usr/share/zsh/${PV%_*}/${i}
+               doins ${i}/*
+       done
+
+       # install header files (bug #538684)
+       insinto /usr/include/zsh
+       doins config.h Src/*.epro
+       for i in Src/{zsh.mdh,*.h} ; do
+               sed -e 's@\.\./config\.h@config.h@' \
+                       -e 's@#\(\s*\)include "\([^"]\+\)"@#\1include 
<zsh/\2>@' \
+                       -i "${i}"
+               doins "${i}"
+       done
+
+       dodoc ChangeLog* META-FAQ NEWS README config.modules
+
+       if use doc ; then
+               pushd "${WORKDIR}/${PN}-${PV%_*}" >/dev/null
+               dodoc Doc/zsh.{dvi,pdf}
+               docinto html
+               dodoc Doc/*.html
+               popd >/dev/null
+       fi
+
+       docinto StartupFiles
+       dodoc StartupFiles/z*
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               echo
+               elog "If you want to enable Portage completions and Gentoo 
prompt,"
+               elog "emerge app-shells/gentoo-zsh-completions and add"
+               elog "  autoload -U compinit promptinit"
+               elog "  compinit"
+               elog "  promptinit; prompt gentoo"
+               elog "to your ~/.zshrc"
+               echo
+               elog "Also, if you want to enable cache for the completions, 
add"
+               elog "  zstyle ':completion::complete:*' use-cache 1"
+               elog "to your ~/.zshrc"
+               echo
+               elog "Note that a system zprofile startup file is installed. 
This will override"
+               elog "PATH and possibly other variables that a user may set in 
~/.zshenv."
+               elog "Custom PATH settings and similar overridden variables can 
be moved to ~/.zprofile"
+               elog "or other user startup files that are sourced after the 
system zprofile."
+               echo
+               elog "If PATH must be set in ~/.zshenv to affect things like 
non-login ssh shells,"
+               elog "one method is to use a separate path-setting file that is 
conditionally sourced"
+               elog "in ~/.zshenv and also sourced from ~/.zprofile. For more 
information, see the"
+               elog "zshenv example in 
${EROOT}/usr/share/doc/${PF}/StartupFiles/."
+               echo
+               elog "See https://wiki.gentoo.org/wiki/Zsh/HOWTO for more 
introduction documentation."
+               echo
+       fi
+}

Reply via email to